package com.seer.teach.mall.convert;

import com.seer.teach.mall.entity.CartEntity;
import com.seer.teach.mall.response.CartResp;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface CartConvert {

    CartConvert INSTANCE = Mappers.getMapper(CartConvert.class);

    CartResp cartEntity2CartListResp(CartEntity cartEntity);

    List<CartResp>  convertList(List<CartEntity> cartEntities);
}
